path: /build/build/compiler-rt-sys-libs-16-16.0.6+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="clang" emerge sys-libs/compiler-rt:16 -pv -t && \
    USE="clang" emerge -j ${JOBS} --nodeps sys-libs/compiler-rt:16
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/compiler-rt && luet-portage --dir /pkgdir/compiler-rt
    sys-libs/compiler-rt:16 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:694a8147618344fb2226be611aa1895dad16df05b4389ecb3652c7de9e93c14d
  package:
    name: compiler-rt
    version: 16.0.6+1
    category: sys-libs-16
    use_flags:
    - clang
    requires:
    - name: clang
      version: '>=0'
      category: sys-devel-16
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Compiler runtime library for clang (built-in part)
    uri:
    - https://llvm.org/
    license: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
    buildtimestamp: 2025-03-15 05:01:22.820570919 +0000 UTC m=+171.627913938
    labels:
      BDEPEND: dev-util/cmake clang? ( sys-devel/clang ) || ( dev-lang/python:3.8
        dev-lang/python:3.9 dev-lang/python:3.7 dev-lang/python:3.10 ) dev-util/ninja
        dev-util/cmake
      DEPEND: sys-devel/llvm
      IUSE: +clang debug
      emerge.packages: sys-libs/compiler-rt:16
      kit: llvm-kit
      original.package.name: sys-libs/compiler-rt
      original.package.slot: "16"
      original.package.version: 16.0.6-r1
    treedir: /build/packages
  package_dir: /pkgdir/compiler-rt
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b26200da9400efcc6fe192771ddae9a905318fa51b7bd2fad6d40aad0261f0e8
compressiontype: zstd
files:
- usr/lib/clang/16/lib/linux/clang_rt.crtbegin-x86_64.o
- usr/lib/clang/16/lib/linux/clang_rt.crtend-x86_64.o
- usr/lib/clang/16/lib/linux/libclang_rt.builtins-x86_64.a
- usr/share/doc/compiler-rt-16.0.6/README.md.bz2
- var/db/pkg/sys-libs/compiler-rt-16.0.6/BDEPEND
- var/db/pkg/sys-libs/compiler-rt-16.0.6/BUILD_TIME
- var/db/pkg/sys-libs/compiler-rt-16.0.6/CATEGORY
- var/db/pkg/sys-libs/compiler-rt-16.0.6/CBUILD
- var/db/pkg/sys-libs/compiler-rt-16.0.6/CFLAGS
- var/db/pkg/sys-libs/compiler-rt-16.0.6/CHOST
- var/db/pkg/sys-libs/compiler-rt-16.0.6/CONTENTS
- var/db/pkg/sys-libs/compiler-rt-16.0.6/COUNTER
- var/db/pkg/sys-libs/compiler-rt-16.0.6/CTARGET
- var/db/pkg/sys-libs/compiler-rt-16.0.6/CXX
- var/db/pkg/sys-libs/compiler-rt-16.0.6/CXXFLAGS
- var/db/pkg/sys-libs/compiler-rt-16.0.6/DEFINED_PHASES
- var/db/pkg/sys-libs/compiler-rt-16.0.6/DEPEND
- var/db/pkg/sys-libs/compiler-rt-16.0.6/DESCRIPTION
- var/db/pkg/sys-libs/compiler-rt-16.0.6/EAPI
- var/db/pkg/sys-libs/compiler-rt-16.0.6/FEATURES
- var/db/pkg/sys-libs/compiler-rt-16.0.6/HOMEPAGE
- var/db/pkg/sys-libs/compiler-rt-16.0.6/INHERITED
- var/db/pkg/sys-libs/compiler-rt-16.0.6/IUSE
- var/db/pkg/sys-libs/compiler-rt-16.0.6/IUSE_EFFECTIVE
- var/db/pkg/sys-libs/compiler-rt-16.0.6/KEYWORDS
- var/db/pkg/sys-libs/compiler-rt-16.0.6/LDFLAGS
- var/db/pkg/sys-libs/compiler-rt-16.0.6/LICENSE
- var/db/pkg/sys-libs/compiler-rt-16.0.6/NEEDED
- var/db/pkg/sys-libs/compiler-rt-16.0.6/NEEDED.ELF.2
- var/db/pkg/sys-libs/compiler-rt-16.0.6/PF
- var/db/pkg/sys-libs/compiler-rt-16.0.6/SIZE
- var/db/pkg/sys-libs/compiler-rt-16.0.6/SLOT
- var/db/pkg/sys-libs/compiler-rt-16.0.6/USE
- var/db/pkg/sys-libs/compiler-rt-16.0.6/compiler-rt-16.0.6.ebuild
- var/db/pkg/sys-libs/compiler-rt-16.0.6/environment.bz2
- var/db/pkg/sys-libs/compiler-rt-16.0.6/repository
package_cacheimage: ""
runtime:
  name: compiler-rt
  version: 16.0.6+1
  category: sys-libs-16
  use_flags:
  - clang
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Compiler runtime library for clang (built-in part)
  uri:
  - https://llvm.org/
  license: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
  labels:
    BDEPEND: dev-util/cmake clang? ( sys-devel/clang ) || ( dev-lang/python:3.8 dev-lang/python:3.9
      dev-lang/python:3.7 dev-lang/python:3.10 ) dev-util/ninja dev-util/cmake
    DEPEND: sys-devel/llvm
    IUSE: +clang debug
    emerge.packages: sys-libs/compiler-rt:16
    kit: llvm-kit
    original.package.name: sys-libs/compiler-rt
    original.package.slot: "16"
    original.package.version: 16.0.6-r1
